Bug 111047 - Wish: Save orig. time stamps to comments + restore
Summary: Wish: Save orig. time stamps to comments + restore
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Date (show other bugs)
Version: 0.7.2
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-19 02:06 UTC by Rudi Effe
Modified: 2022-01-08 13:33 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rudi Effe 2005-08-19 02:06:30 UTC
Version:           0.7.2 (using KDE 3.3.2,  (3.1))
Compiler:          gcc version 3.3.6 (Debian 1:3.3.6-5)
OS:                Linux (i686) release 2.6.8-2-k7

Problem: DigiKam is clever enough to preserve the original time stamps when copying files from my cam. But when I turn portrait photos by 90 degrees and save them then, I will lose any time information of the take. 

Suggestion: I found the original time stamp stored in an EXIF tag (if this is not the case with all cams, digikam could do so). There is already a function "Set time + date". This could be extended by "set according to EXIF", so the original time stamps can be restored for the files.
Comment 1 Renchi Raju 2005-08-19 05:40:54 UTC
0.8, which should be coming out soon, uses the exif time (time provided by your camera).
Comment 2 Marco Cimmino 2006-06-21 12:23:50 UTC
0.8.2 still destroy date and time, I mean date and time of the file.
I knwo there are exif date and time, but cannot be preserved also time and date for the file? also when rotate it?

Anyway the file in the file managers change its date and time and this is not accetable.